Subject: RE: setup drops mount?
From: "Sprenger, Karel" <[email-masked]>
To: "'Earnie Boyd'" <[email-masked]>, DJ Delorie <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 Nov 2000 10:19:48 +0100

Hi,

That is all very well and fine, but it would be nice of setup to restore my
/var mount when it is done.  Of course, I can always remount it manually
again (as I do now), but it feels a bit like all these annoying programs
that insist on being installed in "C:\Program Files" without bothering to
ask me where I want them to be installed.  I mean, who's the boss around
here?

Cheers,
Karel

--
Karel Sprenger, senior solution specialist
COMPAQ, Professional Services
Mobile: +31 (6) 5178 5034           Home: +31 (20) 670 0942
E-mail: [email-masked]   Private: [email-masked]
"The best way to have a good idea is to have lots of ideas." - Linus
Pauling

-----Original Message-----
From: Earnie Boyd [mailto:[email-masked]]
Sent: Monday, November 13, 2000 18:35
To: DJ Delorie; Sprenger, Karel
Cc: [email-masked]
Subject: Re: setup drops mount?

--- DJ Delorie <[email-masked]> wrote:
> 
> > D:                  /var                system       binmode
> > 
> > the last entry is not there anymore when setup finishes.
> 
> There are certain key mounts that setup removes always, /var is one of
> them.  If you look in install.cc, you'll see the whole list:
> 
>   remove_mount ("/");
>   remove_mount ("/usr");
>   remove_mount ("/usr/bin");
>   remove_mount ("/usr/lib");
>   remove_mount ("/var");
>   remove_mount ("/lib");
>   remove_mount ("/bin");
>   remove_mount ("/etc");
> 
>   create_mount ("/", root_dir, istext, issystem);
>   create_mount ("/usr/bin", concat (root_dir, "/bin", 0), istext,
issystem);
>   create_mount ("/usr/lib", concat (root_dir, "/lib", 0), istext,
issystem);
> 
> This is done to ensure that the resulting setup works smoothly for all
> users.
> 

Should we now modify this to conditionally remove these based on whether the
installation is into a new root directory?  If I'm updating I would be very
upset to learn that my now mounted /bin directory had been removed.  I have
it
mounted per CGF's suggestion for cygexec bit switch.

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Calendar - Get organized for the holidays!
http://calendar.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]